*-- Encoder Values
#define EncoderValueCompressionLZW		2
#define EncoderValueCompressionCCITT3		3
#define EncoderValueCompressionCCITT4		4
#define EncoderValueCompressionRle		5
#define EncoderValueCompressionNone		6
#define EncoderValueTransformRotate90		13
#define EncoderValueTransformRotate180		14
#define EncoderValueTransformRotate270		15
#define EncoderValueTransformFlipHorizontal	16
#define EncoderValueTransformFlipVertical	17
#define EncoderValueMultiFrame			18
#define EncoderValueFrameDimensionTime		21
#define EncoderValueFrameDimensionPage		23

*-- RotateFlipType
#define RotateNoneFlipNone	0
#define Rotate90FlipNone	1
#define Rotate180FlipNone	2
#define Rotate270FlipNone	3

#define RotateNoneFlipX		4
#define Rotate90FlipX		5
#define Rotate180FlipX		6
#define Rotate270FlipX		7

#define RotateNoneFlipY		Rotate180FlipX
#define Rotate90FlipY		Rotate270FlipX
#define Rotate180FlipY		RotateNoneFlipX
#define Rotate270FlipY		Rotate90FlipX

#define RotateNoneFlipXY	Rotate180FlipNone
#define Rotate90FlipXY		Rotate270FlipNone
#define Rotate180FlipXY		RotateNoneFlipNone
#define Rotate270FlipXY		Rotate90FlipNone

*-- Quality mode constants
#define QualityModeInvalid	-1
#define QualityModeDefault	0
#define QualityModeLow		1	&& Best performance
#define QualityModeHigh		2	&& Best rendering quality

*-- Interpolation modes
#define InterpolationModeInvalid			-1
#define InterpolationModeDefault			0
#define InterpolationModeLowQuality			1
#define InterpolationModeHighQuality			2
#define InterpolationModeBilinear			3
#define InterpolationModeBicubic			4
#define InterpolationModeNearestNeighbor		5
#define InterpolationModeHighQualityBilinear		6
#define InterpolationModeHighQualityBicubic		7

*** Added by Cesar Chalom
*-- FontStyle: face types and common styles
#define GDIPLUS_FontStyle_Regular     0
#define GDIPLUS_FontStyle_Bold        1
#define GDIPLUS_FontStyle_Italic      2
#define GDIPLUS_FontStyle_BoldItalic  3
#define GDIPLUS_FontStyle_Underline   4
#define GDIPLUS_FontStyle_Strikeout   8

* StringAlignment enumeration
* Applies to GpStringFormat::Alignment, GpStringFormat::LineAlignment
#define GDIPLUS_STRINGALIGNMENT_Near	0	&& in Left-To-Right locale, this is Left
#define GDIPLUS_STRINGALIGNMENT_Center	1
#define GDIPLUS_STRINGALIGNMENT_Far		2	&& in Left-To-Right locale, this is Right

* StringFormatFlags enumeration
* applies to GpStringFormat::FormatFlags
#define GDIPLUS_STRINGFORMATFLAGS_DirectionRightToLeft     1 
#define GDIPLUS_STRINGFORMATFLAGS_DirectionVertical        2 
#define GDIPLUS_STRINGFORMATFLAGS_NoFitBlackBox            4 
#define GDIPLUS_STRINGFORMATFLAGS_DisplayFormatControl    32 
#define GDIPLUS_STRINGFORMATFLAGS_NoFontFallback        1024 
#define GDIPLUS_STRINGFORMATFLAGS_MeasureTrailingSpaces 2048 
#define GDIPLUS_STRINGFORMATFLAGS_NoWrap                4096 
#define GDIPLUS_STRINGFORMATFLAGS_LineLimit             8192 
#define GDIPLUS_STRINGFORMATFLAGS_NoClip               16384 

* PEN Dash style constants
#define GDIPLUS_DashStyle_Solid		0
#define GDIPLUS_DashStyle_Dash		1
#define GDIPLUS_DashStyle_Dot		2
#define GDIPLUS_DashStyle_DashDot	3
#define GDIPLUS_DashStyle_DashDotDot	4
#define GDIPLUS_DashStyle_Custom       	5

* PEN Units
#define	GDIPLUS_Unit_World      0 && World coordinate (non-physical unit)
#define	GDIPLUS_Unit_Display    1 && Variable -- for PageTransform only
#define	GDIPLUS_Unit_Pixel      2 && one device pixel.
#define	GDIPLUS_Unit_Point      3 && 1/72 inch.
#define	GDIPLUS_Unit_Inch       4 && 1 inch.
#define	GDIPLUS_Unit_Document   5 && 1/300 inch.
#define	GDIPLUS_Unit_Millimeter 6 && 1 millimeter.

* HatchBrush styles
#define	GDIPLUS_HatchStyle_Horizontal		0
#define	GDIPLUS_HatchStyle_Vertical		1
#define	GDIPLUS_HatchStyle_ForwardDiagonal	2
#define	GDIPLUS_HatchStyle_BackwardDiagonal	3
#define	GDIPLUS_HatchStyle_Cross		4
#define	GDIPLUS_HatchStyle_DiagonalCross	5
#define	GDIPLUS_HatchStyle_05Percent		6
#define	GDIPLUS_HatchStyle_10Percent		7
#define	GDIPLUS_HatchStyle_20Percent		8
#define	GDIPLUS_HatchStyle_25Percent		9
#define	GDIPLUS_HatchStyle_30Percent		10
#define	GDIPLUS_HatchStyle_40Percent		11
#define	GDIPLUS_HatchStyle_50Percent		12
#define GDIPLUS_HatchStyle_60Percent		13
#define GDIPLUS_HatchStyle_70Percent		14
#define GDIPLUS_HatchStyle_75Percent		15
#define GDIPLUS_HatchStyle_80Percent		16
#define GDIPLUS_HatchStyle_90Percent		17
#define GDIPLUS_HatchStyle_LightDownwardDiagonal 18
#define GDIPLUS_HatchStyle_LightUpwardDiagonal	19
#define GDIPLUS_HatchStyle_DarkDownwardDiagonal	20
#define GDIPLUS_HatchStyle_DarkUpwardDiagonal	21
#define GDIPLUS_HatchStyle_WideDownwardDiagonal	22
#define GDIPLUS_HatchStyle_WideUpwardDiagonal	23
#define GDIPLUS_HatchStyle_LightVertical	24
#define GDIPLUS_HatchStyle_LightHorizontal	25
#define GDIPLUS_HatchStyle_NarrowVertical	26
#define GDIPLUS_HatchStyle_NarrowHorizontal	27
#define GDIPLUS_HatchStyle_DarkVertical		28
#define GDIPLUS_HatchStyle_DarkHorizontal	29
#define GDIPLUS_HatchStyle_DashedDownwardDiagonal 30
#define GDIPLUS_HatchStyle_DashedUpwardDiagonal	31
#define GDIPLUS_HatchStyle_DashedHorizontal	32
#define GDIPLUS_HatchStyle_DashedVertical	33
#define GDIPLUS_HatchStyle_SmallConfetti	34
#define GDIPLUS_HatchStyle_LargeConfetti	35
#define GDIPLUS_HatchStyle_ZigZag		36
#define GDIPLUS_HatchStyle_Wave			37
#define GDIPLUS_HatchStyle_DiagonalBrick	38
#define GDIPLUS_HatchStyle_HorizontalBrick	39
#define GDIPLUS_HatchStyle_Weave		40
#define GDIPLUS_HatchStyle_Plaid		41
#define GDIPLUS_HatchStyle_Divot		42
#define GDIPLUS_HatchStyle_DottedGrid		43
#define GDIPLUS_HatchStyle_DottedDiamond	44
#define GDIPLUS_HatchStyle_Shingle		45
#define GDIPLUS_HatchStyle_Trellis		46
#define GDIPLUS_HatchStyle_Sphere		47
#define GDIPLUS_HatchStyle_SmallGrid		48
#define GDIPLUS_HatchStyle_SmallCheckerBoard	49
#define GDIPLUS_HatchStyle_LargeCheckerBoard	50
#define GDIPLUS_HatchStyle_OutlinedDiamond	51
#define GDIPLUS_HatchStyle_SolidDiamond		52

* Wrap mode for brushes
#define	GDIPLUS_WrapMode_Tile		0
#define	GDIPLUS_WrapMode_TileFlipX	1
#define	GDIPLUS_WrapMode_TileFlipY	2
#define	GDIPLUS_WrapMode_TileFlipXY	3
#define	GDIPLUS_WrapMode_Clamp		4


